Package Details: amanda 3.5.1-2

Git Clone URL: https://aur.archlinux.org/amanda.git (read-only)
Package Base: amanda
Description: Advanced Maryland Automatic Network Disk Archiver network backup for Linux Windows clients, supports SSH, AES, GPG, encryption, tape, RAIT, mirror, changers, Amazon S3, ipv6, DVD, NDMP, VTL, advanced scripting
Upstream URL: http://www.amanda.org
Licenses: GPL, custom
Submitter: fukawi2
Maintainer: severach
Last Packager: severach
Votes: 10
Popularity: 0.000026
First Submitted: 2009-08-26 06:45
Last Updated: 2018-12-04 18:35

Dependencies (45)

Required by (0)

Sources (5)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

fukawi2 commented on 2012-12-20 05:43

$HELPER is unofficial and unsupported as part of the AUR. $HELPER needs to work with PKGBUILD's, not PKGBUILD's made to work with $HELPER.

I'm going to post to the AUR ML to get some advice from TU's to see if there's a recommended/suggested way to deal with this scenario.

rod commented on 2012-12-20 05:40

It is fair point fukawi. Nevertheless, given that the aur package will be installed normally with helpers like yaourt run as user, it may be helpful checking weather sudo is configured or run as root; otherwise rise a warning (yaourt will fail otherwise with a PAM authentication failure that could be confusing). What do you think ?

rod commented on 2012-12-20 05:33

It is fair point fukawi. Nevertheless, given that the aur package will be installed normally with helpers like yaourt run as user, it may be helpful checking weather sudo is configured or run as root; otherwise rise a warning (yaourt will fail otherwise with a PAM authentication failure that could be confusing). What do you think ?

fukawi2 commented on 2012-12-19 22:05

No everyone has sudo installed and configured. If it could be installed without configuration, I'd consider adding it as a makedepends but since it requires configuration too, I think requiring root is easier.

rod commented on 2012-12-19 19:08

fukawi, you may want to add sudo to useradd/userdel/groupadd/groupdel in INSTALL and PKGBUILD

fukawi2 commented on 2012-10-08 02:43

Thx for the patch gour; I've added it in

Anonymous comment on 2012-10-07 09:40

@juantascon: here is the patch:

--- a/gnulib/stdio.in.h
+++ b/gnulib/stdio.in.h
@@ -140,8 +140,10 @@
/* It is very rare that the developer ever has full control of stdin,
so any use of gets warrants an unconditional warning. Assume it is
always declared, since it is required by C89. */
-#undef gets
+#ifdef gets
+# undef gets
_GL_WARN_ON_USE (gets, "gets is a security hole - use fgets instead");
+#endif

#if @GNULIB_FOPEN@
# if @REPLACE_FOPEN@

and you should adjust md5sum for stdio.patch in PKGBUILD:

[...]
source=("http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz" "xinetd.$pkgname" "stdio.patch")
md5sums=('1a6cfe47eaee121f22540ac5fa58c366'
'910c9823073148c576b14d4a71bc6458'
'43e884facdc4fd46b3c808658c0ce872')

[...]
cd $srcdir/$pkgname-$pkgver

./configure --prefix=/usr \
--with-configdir=/etc/amanda \
--with-gnutar-listdir=/var/amanda/gnutar-lists \
--mandir=/usr/share/man \
--with-user=$_amandauser \
--with-group=$_amandagroup \
--with-ipv6 \
--with-ssh-security \
--htmldir=/srv/http/docs/$pkgname

# stdio.patch
patch -Np1 -i "$srcdir/stdio.patch"
make

if [ $_cleanup -eq 1 ]; then
msg "Removing temporary user/group"
userdel -r $_amandauser
fi
}

Anonymous comment on 2012-10-07 09:17

@fukawi2: I wonder how do you manage to build amanda on the same platform (x86_64) as both juantascon and myself and/or whether you test your builds before updating it?

Anonymous comment on 2012-10-07 07:45

I get:

libtool: compile: gcc -DHAVE_CONFIG_H -I. -I../config -fno-strict-aliasing -D_GNU_SOURCE -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -fno-strict-aliasing -MT localcharset.lo -MD -MP -MF .deps/localcharset.Tpo -c localcharset.c -fPIC -DPIC -o .libs/localcharset.o
In file included from localcharset.c:28:0:
./stdio.h:456:1: error: 'gets' undeclared here (not in a function)
make[4]: *** [localcharset.lo] Error 1


Any hint?

fukawi2 commented on 2012-10-06 09:22

Bump to 3.3.2
Cleanup of PKGBUILD and added some clearer configuration options.
Note that amanda is not compiled WITH IPv6 in this PKGBUILD now. Adjust the appropriate line in the configure command if you really don't want IPv6 support.